Package org.apache.commons.compress.harmony.pack200

# Class CPMethodOrField

java.lang.Object
org.apache.commons.compress.harmony.pack200.ConstantPoolEntry
org.apache.commons.compress.harmony.pack200.CPMethodOrField

All Implemented Interfaces:
  `Comparable`

public class CPMethodOrField extends ConstantPoolEntry implements Comparable
Constant pool entry for a method or field.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CPMethodOrField(CPClass className, CPNameAndType nameAndType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Object obj)`
  `int`
  `getClassIndex()`
  `CPClass`
  `getClassName()`
  `CPNameAndType`
  `getDesc()`
  `int`
  `getDescIndex()`
  `int`
  `getIndexInClass()`
  `int`
  `getIndexInClassForConstructor()`
  `void`
  `setIndexInClass(int index)`
  `void`
  `setIndexInClassForConstructor(int index)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.commons.compress.harmony.pack200.ConstantPoolEntry

  `getIndex, setIndex`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CPMethodOrField

    public CPMethodOrField(CPClass className, CPNameAndType nameAndType)

- ## Method Details

  - ### compareTo

    public int compareTo(Object obj)
    Specified by:
      `compareTo` in interface `Comparable`

  - ### getClassIndex

    public int getClassIndex()

  - ### getClassName

    public CPClass getClassName()

  - ### getDesc

    public CPNameAndType getDesc()

  - ### getDescIndex

    public int getDescIndex()

  - ### getIndexInClass

    public int getIndexInClass()

  - ### getIndexInClassForConstructor

    public int getIndexInClassForConstructor()

  - ### setIndexInClass

    public void setIndexInClass(int index)

  - ### setIndexInClassForConstructor

    public void setIndexInClassForConstructor(int index)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`